Subject: Re: Program terminates with "cygheap version mismatch detected"
From: Peter Rehley <[email-masked]>
To: Joshua Wright <[email-masked]>
Cc: [email-masked]
Date: Wed, 15 Sep 2004 09:40:09 -0700

On Sep 15, 2004, at 5:54 AM, Joshua Wright wrote:

> Jörg Schaible wrote:
>>> c:\DEV\testing\asleap.exe (988): *** cygheap version mismatch 
>>> detected - 0x61780000/0xBF0000. You have multiple copies of 
>>> cygwin1.dll on your system.
>
>> From your cygcheck output I've seen that you have or had a B15
>> running ... do you still use it? Even it the dll name is cygwin.dll
>> (just a guess, B15 was not my time <g>), it might already allocate
>> the same shared memory than cygwin1.dll.
>
> I tried to remove all instances of Cygwin from my system in an effort 
> to troubleshoot:
>  + Did a find with regedit and removed any keys with "cyg" in them
>  + Removed the c:\cygwin tree
>  + Did a Windows Find on "cyg" and removed all files
>
> Reinstalled cygwin, rebooted.  Same error. :(
>
> Any other thoughts?  Possibly a problem with Windows XP SP2?  I'm not 
> sure what to try next

Maybe off the wall, but keep the program that you are trying to run.  
Remove the cygwin tree (c:\cygwin) and then try running the exe again.  
See what happens.  If the program runs, then there is a cygwin1.dll 
outside of the tree.  Check the path that the program uses to see where 
the dll might be lurking.

Could the dll have a different name then cygwin1?  Where I work we've 
created a special dll with a different name to prevent cross over 
problems from the regular cygwin dll.  When running a regular cygwin 
program in this custom space (i.e. start from bash in custom 
environment) the error message you've seen appears.

Again off the wall things to try and check.

Peter

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/